<?php		
session_start();
require_once ("../../config/Cado.php");
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once("../producto/cProductomarcacodigo.php");
$oProductomarcacodigo = new cProductomarcacodigo();
require_once ("../formatos/formato.php");
if(isset($_SESSION['cotizacion_catid'])){
	$num_rows=count($_SESSION['cotizacion_catid']);
	if($num_rows==0)$num_rows="";
}else{
	$num_rows="";
}
?>
<style>
	#tabla_cotizacion_car td{
		vertical-align: middle;
		padding: 4px 4px !important;
	}
	#tabla_cotizacion_car td.editable,#tabla_cotizacion_car td.editable *{
		cursor: text !important;
		height: 100%; 
		border-bottom-color: #ccc;
		border-bottom-style: dashed; 
		border-bottom-width: 0.5px;
	}
	#tabla_cotizacion_car td.editando{
		background-color: rgba(18, 180, 243, 0.05);
		outline: 2px solid #35A4F3;
	}
	#tabla_cotizacion_car td input{
		height: 100%;
		width: 100%;
		box-sizing: border-box;
		display: inline-block;
		border: none;
		background: transparent;
	}
	#tabla_cotizacion_car td input:focus{
		background: transparent;
		height: 100%;
		width: 100%;
		outline: none;
		border: none;
	}
	#tabla_cotizacion_car td input[readonly]{
		background: transparent;
	}
</style> 
				
<div class="table-responsive">
	<input name="hdd_ven_numite" id="hdd_ven_numite" type="hidden" value="<?php echo $num_rows?>">
	
	<table id="tabla_cotizacion_car" class="table table-bordered table-striped">
		<thead>
			<tr>
				<th>CÓDIGO</th>
				<th>DESCRIPCION</th>
				<th align="right">CAN</th>
				<th align="right" class="bg-orange" style="" >P. UNI.</th>	
				<th align="right" class="bg-orange" style="" >PRECIO TOTAL</th>
				<th width="25">&nbsp;</th>
			</tr>
		</thead>		 
		<tbody>
		
			<?php 
			$total = 0;
			if($num_rows>0){
				
				foreach($_SESSION['cotizacion_catid'] as $indice=>$cantidad) {
				
			
				
			$dts1=$oCatalogo->mostrarUno($_SESSION['cotizacion_catid'][$indice],$_SESSION['cotizacion_marid'][$indice]);
			$dt1 = mysqli_fetch_array($dts1);
			$des = $_SESSION['cotizacion_des'][$indice] ;
			$pronom = $_SESSION['cotizacion_pronom'][$indice] ;
			
			$in=$_SESSION['cotizacion_ind'][$indice];		
			$can=$_SESSION['cotizacion_can'][$indice];		
			$valor_uni=$_SESSION['cotizacion_preven'][$indice];
			
			$igv_uni = $valor_uni * 0.18;
			$pre_uni=$valor_uni * 1.18;
			$pre_uni=$pre_uni;
				
			//$destot = $des * $can;
			
			$pre_tot = $pre_uni * $can;
			
			$val_tot = $pre_tot/1.18;
			$igv_tot = $val_tot*0.18;
			
					
			/* $rscod = $oProductomarcacodigo->mostrarUno($dt1['tb_catalogo_id'],'1');
			$dtcod = mysqli_fetch_array($rscod);
			
			$codpri = $dtcod['tb_productomarcacodigo_cod']; */
					//echo $in.'---';
					
					?>
					<tr>
						<td ><?php echo $dt1['tb_producto_id']; ?></td>
						<td style="font-size:10pt; font-weight:bold">
							<?php echo nl2br($pronom); ?>
						</td>
						
					<!--
						<td><?php echo $dt1['tb_marca_nom']?></td>
						<td><?php echo $dt1['tb_unidad_nom']?></td>
					-->
			<td align="right" width="50" class="editable" style="font-size:9pt; font-weight:bold">
				<input type="text" value="<?php echo $can ?>" data-cantidad="<?php echo $can ?>" data-tip = "can" 
				data-preven="<?php echo $valor_uni ?>"
				data-pronom="<?php echo $pronom;?>"
				data-in="<?php echo $in ?>" 
				data-original="<?php echo $can ?>" readonly data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>"
				data-tipdes="<?php echo $tipdes ?>" data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>" 
				class="" style="text-align: right;">
			</td>
		
			<td align="right" width="80" class="editable" style="font-size:14pt; font-weight:bold;background-color:#fff9c4;">
				<input type="text" value="<?php echo formato_money($pre_uni) ?>" 
				data-preven="<?php echo formato_money($pre_uni) ?>" data-tip = "preuni" 
				data-original="<?php echo formato_money($pre_uni) ?>" 
				data-tipdes="<?php echo $tipdes ?>" 
				data-pronom="<?php echo $pronom;?>"
				data-in="<?php echo $in ?>" 
				data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>" readonly 
				data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>" style="text-align: right;">
			</td>
				
			<td align="right" width="100" class="editable" style="font-size:15pt; font-weight:bold;background-color:#fff9c4;">
							<input type="text" class="" value="<?php echo formato_money($pre_tot) ; ?>" 
							data-original="<?php echo formato_money($pre_tot) ?>" 
							data-cantidad="<?php echo $can ?>" data-tip = "pretot" 
							data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>" 
							data-in="<?php echo $in ?>" 
							data-pronom="<?php echo $pronom;?>"
							data-mar_id ="<?php echo $dt1['tb_marca_id'] ?>"
							data-des="<?php echo formato_money($des) ?>"
							readonly 
							style="text-align: right;">
			</td>
			
						
						
						<td align="center" nowrap="nowrap"> 
						<!--	<span  title="Editar" class="btn btn-primary btn-sm btn_editar" ><i class="fa fa-pencil"></i></span>
							-->
							<span data-in="<?php echo $in ?>" data-can="<?php echo $can ?>" data-pronom="<?php echo $pronom;?>" data-preven="<?php echo $pre_uni ?>" class="btn btn-primary btn-sm btn_editar" ><i class="fa fa-edit"></i></span> 		
							
							<span data-indice ="<?php echo $indice; ?>" class="btn btn-danger btn-sm btn_eliminar" ><i class="fa fa-times"></i></span> 		
						<!--	<span class="btn btn-primary btn-sm" id="demo-ajax_<?php echo $dt1['tb_catalogo_id'] ?>" ><i class="fa fa-info"></i></span> 	
						-->
						</td>				
					</tr>
					
					<?php //if ($dt1['tb_producto_des']!=""){?>
					<!--
					<tr style="background-color:#fff;">
					<td colspan="8" >
					<span class="text-red" style="font-weight:bold;">ESPECIFICACIONES: Estructura / Accesorios y Equipamiento.</span>
					<div class="col-lg-12 col-sm-12 col-xs-12" style="word-wrap: break-word;word-break: break-all; font-weight:bold;" >
					<?php echo nl2br($dt1['tb_producto_des']); ?>
					</div>
					
					</td>
					</tr>
					-->
					<?php
					//}
					mysqli_free_result($dts1);
					$total1	+=$pre_tot;
				}
				
				$total_valorventa =$total1/1.18;
			$total_igv	=$total_valorventa*0.18;
			$total	=$total1;
				
			}
			?>
		</tbody>
	</table>
	<br>
	<?php 
	if($num_rows=="" or $num_rows==0)
		echo 'Ningún producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows==1)
		echo $num_rows.' producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows>=2)
		echo $num_rows.' productos agregados. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	
	
	/* echo '<br />'.$oferta_menu; */
	?>
</div>
<!--	<li class=""><a href="#tab_5" data-toggle="tab" aria-expanded="false">CALCULAR VUELTO</a></li> 
		-->
<!-- <div class="col-lg-3 col-md-12 col-xs-12 "> 
	<div class="nav-tabs-custom">
		<ul class="nav nav-tabs">
			<li class="active"><a href="#tab_4" data-toggle="tab" aria-expanded="false">TOTALES</a></li>
		
		</ul>
		<div class="tab-content">
		--->
		
		
			
					
					<div class="col-lg-12 col-sm-12 col-12">
							<div class="row">

							<div class="col-lg-2 col-sm-6 col-4">
								<label>Op. Gravada:</label>
								<input name="txt_ven_valven" type="text"class="form-control" id="txt_ven_valven" style="text-align:right;font-weight: bold;" value="<?php echo formato_money($total_valorventa)?>"  > 							
							</div>
						
							<div class="col-lg-2 col-sm-6  col-4">
								<label>IGV:</label>
								<input name="txt_ven_igv" type="text" class="form-control" id="txt_ven_igv" style="text-align:right;font-weight: bold;" value="<?php echo formato_money($total_igv)?>"   > 
							</div>					
							<div class="col-lg-2 col-sm-6  col-4">
								<label>TOTAL:</label>
								<input name="txt_ven_totsdes" type="text" class="form-control" id="txt_ven_totsdes" style="text-align:right;font-weight: bold;" value="<?php echo formato_money($total)?>" > 
							</div>
							
							</div>
		</div>
	
			
		<!--	<div class="tab-pane" id="tab_5">
				<div class="row">
					<div class="table-responsive">
						<table class="table">
							<tbody><tr>
								<th style="width:50%">Cliente:</th>
								<td>
									<input type="text" name="txt_importe_cliente" id="txt_importe_cliente"  style="text-align:right;font-weight: bold;" class="form-control input-sm moneda22" />
								</td>
							</tr>
							<tr>
								<th>Vuelto </th>
								<td>
									<input type="text" name="lbl_ven_vuelto" id="lbl_ven_vuelto" readonly  style="text-align:right;font-weight: bold;" class=" form-control input-sm moneda22" /> 	 
								</td>
							</tr>  
						</tbody></table>
					</div>
				</div> 
			</div>
				-->
<!--	</div>
	</div>   
</div>
-->
</div>
<script>
/* 
	function calcular_vuelto(){
		var importe = $("#txt_importe_cliente").val();
		var total = $('#txt_ven_tot').val();	
		
		if(importe==""){
		$('#lbl_ven_vuelto').val('');	
		}
		else{
		
		$.ajax({
			type: "POST",
			url: "../venta/calcular_vuelto.php",
			async:true,
			dataType: "html",                      
			data: ({
				importe: importe,				
				total:	total
			}),
			beforeSend: function(){				
			},
			success: function(vuelto){
				$('#lbl_ven_vuelto').val(vuelto);					
			}
		});	
	}
	} */
	$(function() {
	<?php if($num_rows > 0){ ?>
		$('#cmb_mone_id').attr('disabled','disabled');
		$('#cmb_puntocotizacion_id').attr('disabled','disabled');
		<?php }else{
		?>
		$('#cmb_mone_id').removeAttr("disabled");
		$('#cmb_puntocotizacion_id').removeAttr("disabled");
		<?php	
		}?>
	
  var nFilas = $("#hdd_ven_numite").val();
  if(nFilas>0){
  	$('#tabcliente .nav-tabs a:last').tab('show'); 
  }
  $("#txt_importe_cliente").attr('placeholder',$("#txt_ven_tot").val())
	/* 	$("#txt_importe_cliente").keyup(function() {		
			calcular_vuelto();
		}); */
		
	// $("#txt_ven_des").keyup(function(e){
				// des = $("#txt_ven_des").val();
				// /* $("#txt_ven_des").val(new NumberFormat(des).toFormatted()); */
				// totsindes = <?php echo $total ?>;				
				
								
				// totcondes = totsindes - des;
				// igv = (totcondes*0.18)/1.18;
				// valven = totcondes/1.18;
				
				// $("#txt_ven_tot").val(new NumberFormat(totcondes).toFormatted());
				// $("#txt_ven_igv").val(new NumberFormat(igv).toFormatted());
				// $("#txt_ven_valven").val(new NumberFormat(valven).toFormatted());
				// $("#txt_ven_totsdes").val(new NumberFormat(totsindes).toFormatted());
				// /* venpag_aut(); */
				
		// });
	// $("#txt_ven_des").keydown(function(e){
			// if (e.which == 13){
				// totsindes = <?php echo $total  ?>;				
				// des = $("#txt_ven_des").val();
				
				// totcondes = totsindes - des;
				
				// $("#txt_ven_tot").val(totcondes.toFixed(2));
				// $("#txt_ven_totsdes").val(totsindes.toFixed(2));
				// /* venpag_aut(); */
				// return false;
				// }
		// });
	/* 	$('#tabla_cotizacion_car td input[data-cantidad]').autoNumeric({
			aSep: '',
			vMin: '0',
			vMax: '9999999'
		});
		$('#tabla_cotizacion_car td input[data-preven]').autoNumeric({
			aSep: ',',
			vMin: '0',
			vMax: '9999999.9999'
		}); */
		$('#tabla_cotizacion_car td input').keydown(function(ev) {
			if(ev.keyCode == 13 && !$(this).attr('readonly')) {
			
			var cat_id = $(this).attr('data-cat_id');
			var mar_id = $(this).attr('data-mar_id');
			var cantidad = $(this).parent().parent().find('input[data-cantidad]').val();
			var preven = $(this).parent().parent().find('input[data-preven]').val();
			var des = $(this).parent().parent().find('input[data-des]').val();
			var tipdes = $(this).attr('data-tipdes');
			var tip = $(this).attr('data-tip');
			var valor = $(this).val();
			var pro_nom = $(this).attr('data-pronom');
			var ind = $(this).attr('data-in');
			
			// alert(ind);
			
			if(tip=="des"){
					
				preven =  $(this).attr('data-preven') * 1.18;		
				agregar_producto('agregar', cat_id, cantidad, preven, mar_id,des,'',pro_nom,ind);
			
			}else if(tip=="pretot"){
					
				preuni = valor.toString().replace(',','')/cantidad;	
				valuni = preuni.toString().replace(',','');
				
				agregar_producto('agregar', cat_id, cantidad, valuni, mar_id,des,'',pro_nom,ind);
			
			}else if(tip=="preuni"){
					
				valuni = valor.toString().replace(',','');
				
				agregar_producto('agregar', cat_id, cantidad, valuni, mar_id,des,'',pro_nom,ind);
			
			}else if(tip=="valtot"){
				
				valuni =  valor.toString().replace(',','')/cantidad;
				valuni = valuni * 1.18;
			
				agregar_producto('agregar', cat_id, cantidad, valuni, mar_id,des,'',pro_nom,ind);
			
			}else if(tip=="can"){
				
				preven =  $(this).attr('data-preven') * 1.18;		
				agregar_producto('agregar', cat_id, cantidad, preven, mar_id,des,'',pro_nom,ind);
				
			}
				
				$(this).attr('readonly', 'true');
				$(this).parent().removeClass('editando');
				return false;
			}
		});
		$('#tabla_cotizacion_car td input').parent().click(function(ev) {
			var $input = $(this).find('input');
			var $td = $input.parent().addClass('editando');
			$input.removeAttr('readonly').focus().select();
		});
		$('#tabla_cotizacion_car td input').blur(function(event) {
			$(this).val($(this).attr('data-original'));
			$(this).attr('readonly', 'true');
			$(this).parent().removeClass('editando');
		});
		$('#tabla_cotizacion_car td input').keydown(function(ev) {
			if(ev.keyCode==27){
				$(this).val($(this).attr('data-original'));
				$(this).attr('readonly', 'true');
				$(this).parent().removeClass('editando');
			}
		});
	/* 	$( ".btn_editar" ).click(function() { 
			var $input = $(this).parent().parent().find('input[data-cantidad]');
			var $td = $input.parent().addClass('editando');
			$input.removeAttr('readonly').focus().select();
		}); */
		$( ".btn_eliminar" ).click(function() { 
			
			var indice = $(this).attr('data-indice');
				
			if(confirm('¿Seguro de quitar el item?')){
				agregar_producto('quitar', indice);
			}
		});
		
		
		$( ".btn_editar" ).click(function() { 
			
			var ind = $(this).attr('data-in');
			var pronom = $(this).attr('data-pronom');
			var preven = $(this).attr('data-preven');
			var can = $(this).attr('data-can');
			
			AgregarItemeditar('editar',ind,pronom,preven,can);
			
		/*	if(confirm('¿Quieres modificar el item?')){
				
			} */
		});
	}); 
</script>